// CallBacks (called to compute the string displayed in Editor Tree)
//
// YB
////////////////////////////////////////////////////////////////////////////////
#ifndef _IA_DEBUGGER_CALLBACKS_
#define _IA_DEBUGGER_CALLBACKS_

// For "IncAI.h" !!
#include "ACP_Base.h"
#include "IncAI.h"
// End For "IncAI.h" !!

//Type name
CString IAD_fn_vGetTypeCallBack_EngineLoop(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_ReflexOrAI(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_CurrentComport(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Field(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Constant(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_DsgVarId(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_DsgVar(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Button(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_EnvRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_SectorRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_SurfaceRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_PersoRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_ActionRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Real(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Vector(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_ConstantVector(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Way(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_WayPoint(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Module(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_ChannelNumber(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Mask(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_String(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_LipsSynchroRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_SoundEventRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_FamilyRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_BeginMacro(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_EndMacro(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Comport(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_KeyWord(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Condition(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Function(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Operator(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_Procedure(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_MetaAction(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_BeginMetaAction(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_TextRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_FontRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetTypeCallBack_ParticleGenerator(long _lID, tdstGetSetParam *_p_tdstGetSetParam);

//Name
CString IAD_fn_vGetNameCallBack_EngineLoop(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_ReflexOrAI(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_CurrentComport(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Field(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Constant(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_DsgVarId(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_DsgVar(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Button(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_EnvRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_SectorRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_SurfaceRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_PersoRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_ActionRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Real(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Vector(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_ConstantVector(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Way(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_WayPoint(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Module(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_ChannelNumber(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Mask(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_String(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_LipsSynchroRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_SoundEventRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_FamilyRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_BeginMacro(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_EndMacro(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Comport(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_KeyWord(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Condition(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Function(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Operator(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_Procedure(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_MetaAction(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_BeginMetaAction(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_TextRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_FontRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetNameCallBack_ParticleGenerator(long _lID, tdstGetSetParam *_p_tdstGetSetParam);


//Value
CString IAD_fn_vGetValueCallBack_EngineLoop(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_ReflexOrAI(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_CurrentComport(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Field(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Constant(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_DsgVarId(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_DsgVar(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Button(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_EnvRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_SectorRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_SurfaceRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_PersoRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_ActionRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Real(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Vector(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_ConstantVector(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Way(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_WayPoint(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Module(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_ChannelNumber(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Mask(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_String(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_LipsSynchroRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_SoundEventRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_FamilyRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_BeginMacro(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_EndMacro(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Comport(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_KeyWord(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Condition(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Function(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Operator(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_Procedure(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_MetaAction(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_BeginMetaAction(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_TextRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_FontRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetValueCallBack_ParticleGenerator(long _lID, tdstGetSetParam *_p_tdstGetSetParam);

//Returned Value
CString IAD_fn_vGetReturnValueCallBack_EngineLoop(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_ReflexOrAI(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_CurrentComport(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Field(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Constant(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_DsgVarId(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_DsgVar(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Button(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_EnvRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_SectorRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_SurfaceRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_PersoRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_ActionRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Real(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Vector(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_ConstantVector(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Way(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_WayPoint(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Module(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_ChannelNumber(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Mask(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_String(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_LipsSynchroRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_SoundEventRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_FamilyRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_BeginMacro(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_EndMacro(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Comport(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_KeyWord(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Condition(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Function(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Operator(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_Procedure(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_MetaAction(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_BeginMetaAction(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_TextRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_FontRef(long _lID, tdstGetSetParam *_p_tdstGetSetParam);
CString IAD_fn_vGetReturnValueCallBack_ParticleGenerator(long _lID, tdstGetSetParam *_p_tdstGetSetParam);

#endif //_IA_DEBUGGER_CALLBACKS_


